Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboInitialContext

`java.lang.Object
oracle.jbo.common.JboInitialContext`

All Implemented Interfaces:
  javax.naming.Context, JboContext

Direct Known Subclasses:
  ColoInitialContext, InitialContextImpl, InitialContextImpl, WLEJBInitialContext

public class JboInitialContext
extends java.lang.Object
implements JboContext

Internal: Applications should not use this class.

Field Summary

Fields inherited from interface oracle.jbo.JboContext
`APPLICATION_PACKAGES, APPLICATION_PATH, CONNECTION_MODE, CONNECTION_PORT, DEPLOY_PLATFORM, HOST_NAME, JBO_CONTEXT_FACTORY, JBO_PROJECT, ORACLE_SID, PLATFORM_COLO, PLATFORM_EJB, PLATFORM_EJB_IAS, PLATFORM_LOCAL, PLATFORM_ORACLE8I, PLATFORM_VB, PLATFORM_WLS, USE_APPLET, USE_DEFAULT_CONTEXT`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`JboInitialContext(java.util.Hashtable env)`

Method Summary
`java.lang.Object` | `addToEnvironment(java.lang.String propName, java.lang.Object propVal)`
`void` | `bind(javax.naming.Name name, java.lang.Object obj)`
`void` | `bind(java.lang.String name, java.lang.Object obj)`
`void` | `close()`
`javax.naming.Name` | `composeName(javax.naming.Name name, javax.naming.Name prefix)`
`java.lang.String` | `composeName(java.lang.String name, java.lang.String prefix)`
`protected JboHome` | `createJboHome(java.lang.String name)`
`javax.naming.Context` | `createSubcontext(javax.naming.Name name)`
`javax.naming.Context` | `createSubcontext(java.lang.String name)`
`void` | `destroySubcontext(javax.naming.Name name)`
`void` | `destroySubcontext(java.lang.String name)`
`java.util.Hashtable` | `getEnvironment()`
`java.lang.String` | `getNameInNamespace()`
`javax.naming.NameParser` | `getNameParser(javax.naming.Name name)`
`javax.naming.NameParser` | `getNameParser(java.lang.String name)`
`javax.naming.NamingEnumeration` | `list(javax.naming.Name name)`
`javax.naming.NamingEnumeration` | `list(java.lang.String name)`
`javax.naming.NamingEnumeration` | `listBindings(javax.naming.Name name)`
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name)`
`java.lang.Object` | `lookup(javax.naming.Name name)`
`java.lang.Object` | `lookup(java.lang.String name)`
`java.lang.Object` | `lookupLink(javax.naming.Name name)`
`java.lang.Object` | `lookupLink(java.lang.String name)`
`void` | `rebind(javax.naming.Name name, java.lang.Object obj)`
`void` | `rebind(java.lang.String name, java.lang.Object obj)`
`java.lang.Object` | `removeFromEnvironment(java.lang.String propName)`
`void` | `rename(javax.naming.Name oldName, javax.naming.Name newName)`
`void` | `rename(java.lang.String oldName, java.lang.String newName)`
`void` | `unbind(javax.naming.Name name)`
`void` | `unbind(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboInitialContext

    public JboInitialContext(java.util.Hashtable env)

Method Detail

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Specified by:
    `bind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### unbind

    public void unbind(javax.naming.Name name)
                throws javax.naming.NamingException

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rename

    public void rename(java.lang.String oldName,
                       java.lang.String newName)
                throws javax.naming.NamingException

  Specified by:
    `rename` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### rename

    public void rename(javax.naming.Name oldName,
                       javax.naming.Name newName)
                throws javax.naming.NamingException

  Specified by:
    `rename` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

  Specified by:
    `list` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

  Specified by:
    `list` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### destroySubcontext

    public void destroySubcontext(javax.naming.Name name)
                           throws javax.naming.NamingException

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.Context createSubcontext(java.lang.String name)
                                          throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getNameParser

    public javax.naming.NameParser getNameParser(java.lang.String name)
                                          throws javax.naming.NamingException

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getNameParser

    public javax.naming.NameParser getNameParser(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### composeName

    public javax.naming.Name composeName(javax.naming.Name name,
                                         javax.naming.Name prefix)
                                  throws javax.naming.NamingException

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### composeName

    public java.lang.String composeName(java.lang.String name,
                                        java.lang.String prefix)
                                 throws javax.naming.NamingException

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### addToEnvironment

    public java.lang.Object addToEnvironment(java.lang.String propName,
                                             java.lang.Object propVal)
                                      throws javax.naming.NamingException

  Specified by:
    `addToEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### removeFromEnvironment

    public java.lang.Object removeFromEnvironment(java.lang.String propName)
                                           throws javax.naming.NamingException

  Specified by:
    `removeFromEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### getEnvironment

    public java.util.Hashtable getEnvironment()
                                       throws javax.naming.NamingException

  Specified by:
    `getEnvironment` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### close

    public void close()
               throws javax.naming.NamingException

  Specified by:
    `close` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

### createJboHome

    protected JboHome createJboHome(java.lang.String name)
                             throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Specified by:
    `getNameInNamespace` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.